## Get bill-to by ID [Deprecated]

### cURL

```
curl --request GET \
  --url https://prod01-apigw.yourcompany.fabric.zone/api-cart/bill-to/{billToId}
```

### Python

```
import requests

url = "https://prod01-apigw.yourcompany.fabric.zone/api-cart/bill-to/{billToId}"

response = requests.get(url)

print(response.text)
```

### JavaScript (Fetch)

```
const options = {method: 'GET'};

fetch('https://prod01-apigw.yourcompany.fabric.zone/api-cart/bill-to/{billToId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```


```

### Response Codes

- **200**
- **400**
- **404**
- **500**

### Example Response

```
{
  "paymentMethod": "Visa Credit",
  "cardIdentifier": "1234",
  "amount": 149.99,
  "address": {
    "street1": "123 Main Street",
    "city": "Seattle",
    "state": "WA",
    "country": "United States of America",
    "zipCode": "10008-1234",
    "name": {
      "first": "John",
      "last": "Smith"
    },
    "email": "johnsmith@fabric.inc",
    "attention": "Leave at the back door.",
    "street2": "ABC Boulevard",
    "kind": "TBD",
    "phone": {
      "number": "123-456-7890",
      "kind": "Mobile"
    }
  },
  "billToId": 1,
  "cart": "5e5818a84d030c206b2ffb02",
  "_id": "5fee9d59f2f08a1b3cbdea08",
  "createdAt": "2020-12-31T02:09:53.914Z",
  "updatedAt": "2020-12-31T02:09:53.914Z",
  "__v": 0
}
```

### Error Response Example

```
{
  "code": "BILLTO_NOT_FOUND",
  "message": "Bill-to not found."
}
```

### Path Parameters

#### billToId
- **Type:** string
- **Required:** Yes  
- **Required string length:** `24`  
- **Example:** 
  -  "5e5818a84d030c206b2ffb02"

### Response

- **200** application/json

#### Attributes
- **paymentMethod**: string, required string length: `3 - 24`
- **cardIdentifier**: string, required string length: `4`
- **amount**: number, required range: `x >= 0.01`
- **address**: object
  - **billToId**: number
  - **cart**: string
  - **_id**: string
  - **createdAt**: string
  - **updatedAt**: string
  - **__v**: number
